import {Plugin} from 'ckeditor5/src/core';


import SplitAndCreateCommand from './splitandcreatecommand';

/**
 * The editing part of the feature. It registers the `'splitAndCreate'` command.
 *
 * @extends module:core/plugin~Plugin
 */
export default class SplitAndCreateEditing extends Plugin {


  /**
   * @inheritDoc
   */
  static get pluginName() {
    return 'SplitAndCreateEditing';
  }

  /**
   * @inheritDoc
   */
  init() {
    this.editor.commands.add('splitAndCreate', new SplitAndCreateCommand(this.editor));
  }

}
